;; .emacs.d/guix.el

;; guix git checkout
(with-eval-after-load 'geiser-guile
  (add-to-list 'geiser-guile-load-path "~/src/guix"))

;; emacs-guix from git checkout
(add-to-list 'load-path "~/.emacs.d/lisp/guix.el/elisp")
(require 'guix-autoloads nil t)

;; enable development mode (C-c . _) in .scm buffers
(add-hook 'scheme-mode-hook 'guix-devel-mode)

;; info from packages built from git
(with-eval-after-load 'info
  (info-initialize)
  (setq Info-directory-list
	(append '("~/.emacs.d/lisp/guix.el/doc"
		  "~/src/guix/doc")
		Info-directory-list
		'("/usr/local/share/info"))))

;; so geiser uses guile for any .scm file
(setq geiser-active-implementations '(guile))
